<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ExtractorFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExtractorFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":41,"i9":41,"i10":9,"i11":9,"i12":9,"i13":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExtractorFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/CommandLineTextExtractor.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ooxml/extractor/ExtractorFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="ExtractorFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ooxml.extractor</div>
    <h2 title="Class ExtractorFactory" class="title">Class ExtractorFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ooxml.extractor.ExtractorFactory</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">ExtractorFactory</span>
extends java.lang.Object</pre>
                <div class="block">Figures out the correct POITextExtractor for your supplied
                    document, and returns it.

                    <p>Note 1 - will fail for many file formats if the POI Scratchpad jar is
                        not present on the runtime classpath</p>
                    <p>Note 2 - rather than using this, for most cases you would be better
                        off switching to <a href="http://tika.apache.org">Apache Tika</a> instead!</p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#CORE_DOCUMENT_REL">CORE_DOCUMENT_REL</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static &lt;T extends <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-org.apache.poi.poifs.filesystem.DirectoryNode-">createExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;poifsDir)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static &lt;T extends <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-java.io.File-">createExtractor</a></span>(java.io.File&nbsp;f)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-java.io.InputStream-">createExtractor</a></span>(java.io.InputStream&nbsp;inp)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-org.apache.poi.openxml4j.opc.OPCPackage-">createExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</code>
                                    <div class="block">Tries to determine the actual type of file and produces a
                                        matching text-extractor for it.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static &lt;T extends <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">createExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getAllThreadsPreferEventExtractors--">getAllThreadsPreferEventExtractors</a></span>()</code>
                                    <div class="block">Should all threads prefer event based over usermodel based
                                        extractors?
                                        (usermodel extractors tend to be more accurate, but use more memory)
                                        Default is to use the thread level setting, which defaults to false.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbeddedDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbeddedDocsTextExtractors</a></span>(<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                    <div class="block">Returns an array of text extractors, one for each of
                                        the embedded documents in the file (if there are any).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbeddedDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">getEmbeddedDocsTextExtractors</a></span>(<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</code>
                                    <div class="block">Returns an array of text extractors, one for each of
                                        the embedded documents in the file (if there are any).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">Use the method with correct "embedded"</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                        href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                        title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">Use the method with correct "embedded"</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getPreferEventExtractor--">getPreferEventExtractor</a></span>()</code>
                                    <div class="block">Should this thread use event based extractors is available?
                                        Checks the all-threads one first, then thread specific.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getThreadPrefersEventExtractors--">getThreadPrefersEventExtractors</a></span>()</code>
                                    <div class="block">Should this thread prefer event based over usermodel based
                                        extractors?
                                        (usermodel extractors tend to be more accurate, but use more memory)
                                        Default is false.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#setAllThreadsPreferEventExtractors-java.lang.Boolean-">setAllThreadsPreferEventExtractors</a></span>(java.lang.Boolean&nbsp;preferEventExtractors)</code>
                                    <div class="block">Should all threads prefer event based over usermodel based
                                        extractors?
                                        If set, will take preference over the Thread level setting.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#setThreadPrefersEventExtractors-boolean-">setThreadPrefersEventExtractors</a></span>(boolean&nbsp;preferEventExtractors)</code>
                                    <div class="block">Should this thread prefer event based over usermodel based
                                        extractors?
                                        Will only be used if the All Threads setting is null.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="CORE_DOCUMENT_REL">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CORE_DOCUMENT_REL</h4>
                                <pre>public static final&nbsp;java.lang.String CORE_DOCUMENT_REL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ooxml.extractor.ExtractorFactory.CORE_DOCUMENT_REL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getThreadPrefersEventExtractors--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getThreadPrefersEventExtractors</h4>
                                <pre>public static&nbsp;boolean&nbsp;getThreadPrefersEventExtractors()</pre>
                                <div class="block">Should this thread prefer event based over usermodel based
                                    extractors?
                                    (usermodel extractors tend to be more accurate, but use more memory)
                                    Default is false.
                                </div>
                            </li>
                        </ul>
                        <a name="getAllThreadsPreferEventExtractors--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAllThreadsPreferEventExtractors</h4>
                                <pre>public static&nbsp;java.lang.Boolean&nbsp;getAllThreadsPreferEventExtractors()</pre>
                                <div class="block">Should all threads prefer event based over usermodel based
                                    extractors?
                                    (usermodel extractors tend to be more accurate, but use more memory)
                                    Default is to use the thread level setting, which defaults to false.
                                </div>
                            </li>
                        </ul>
                        <a name="setThreadPrefersEventExtractors-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setThreadPrefersEventExtractors</h4>
                                <pre>public static&nbsp;void&nbsp;setThreadPrefersEventExtractors(boolean&nbsp;preferEventExtractors)</pre>
                                <div class="block">Should this thread prefer event based over usermodel based
                                    extractors?
                                    Will only be used if the All Threads setting is null.
                                </div>
                            </li>
                        </ul>
                        <a name="setAllThreadsPreferEventExtractors-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAllThreadsPreferEventExtractors</h4>
                                <pre>public static&nbsp;void&nbsp;setAllThreadsPreferEventExtractors(java.lang.Boolean&nbsp;preferEventExtractors)</pre>
                                <div class="block">Should all threads prefer event based over usermodel based
                                    extractors?
                                    If set, will take preference over the Thread level setting.
                                </div>
                            </li>
                        </ul>
                        <a name="getPreferEventExtractor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPreferEventExtractor</h4>
                                <pre>public static&nbsp;boolean&nbsp;getPreferEventExtractor()</pre>
                                <div class="block">Should this thread use event based extractors is available?
                                    Checks the all-threads one first, then thread specific.
                                </div>
                            </li>
                        </ul>
                        <a name="createExtractor-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExtractor</h4>
                                <pre>public static&nbsp;&lt;T extends <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;&nbsp;T&nbsp;createExtractor(java.io.File&nbsp;f)
                                                      throws java.io.IOException,
                                                             <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                                                title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                                             org.apache.xmlbeans.XmlException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createExtractor-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExtractor</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&nbsp;createExtractor(java.io.InputStream&nbsp;inp)
                                        throws java.io.IOException,
                                               <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                                  title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                               org.apache.xmlbeans.XmlException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createExtractor-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExtractor</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&nbsp;createExtractor(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)
                                        throws java.io.IOException,
                                               <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                                  title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                               org.apache.xmlbeans.XmlException</pre>
                                <div class="block">Tries to determine the actual type of file and produces a matching
                                    text-extractor for it.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pkg</code> - An <a
                                            href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                            title="class in org.apache.poi.openxml4j.opc"><code>OPCPackage</code></a>.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A <a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                            title="class in org.apache.poi.ooxml.extractor"><code>POIXMLTextExtractor</code></a>
                                        for the given file.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If an error occurs while reading the file
                                    </dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                        - If an error parsing the OpenXML file format is found.
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code> - If an XML parsing error occurs.
                                    </dd>
                                    <dd><code>java.lang.IllegalArgumentException</code> - If no matching file type could
                                        be found.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExtractor</h4>
                                <pre>public static&nbsp;&lt;T extends <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;&nbsp;T&nbsp;createExtractor(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)
                                                      throws java.io.IOException,
                                                             <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                                                title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                                             org.apache.xmlbeans.XmlException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createExtractor-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExtractor</h4>
                                <pre>public static&nbsp;&lt;T extends <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;&nbsp;T&nbsp;createExtractor(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;poifsDir)
                                                      throws java.io.IOException,
                                                             <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                                                title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                                             org.apache.xmlbeans.XmlException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEmbededDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmbededDocsTextExtractors</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public static&nbsp;<a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                      title="class in org.apache.poi.extractor">POITextExtractor</a>[]&nbsp;getEmbededDocsTextExtractors(<a
                                            href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                            title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)
                                                                                            throws java.io.IOException,
                                                                                                   <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                                                                                      title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                                                                                   org.apache.xmlbeans.XmlException</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">Use the method with correct "embedded"</span></div>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                    If there are no embedded documents, you'll get back an
                                    empty array. Otherwise, you'll get one open
                                    <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                       title="class in org.apache.poi.extractor"><code>POITextExtractor</code></a> for
                                    each embedded file.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEmbeddedDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmbeddedDocsTextExtractors</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a>[]&nbsp;getEmbeddedDocsTextExtractors(<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)
                                                        throws java.io.IOException,
                                                               <a href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                                                  title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                                                               org.apache.xmlbeans.XmlException</pre>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                    If there are no embedded documents, you'll get back an
                                    empty array. Otherwise, you'll get one open
                                    <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                       title="class in org.apache.poi.extractor"><code>POITextExtractor</code></a> for
                                    each embedded file.
                                </div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEmbededDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEmbededDocsTextExtractors</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
 <a href="../../../../../org/apache/poi/util/NotImplemented.html" title="annotation in org.apache.poi.util">@NotImplemented</a>
public static&nbsp;<a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                      title="class in org.apache.poi.extractor">POITextExtractor</a>[]&nbsp;getEmbededDocsTextExtractors(<a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                            title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">Use the method with correct "embedded"</span></div>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                    If there are no embedded documents, you'll get back an
                                    empty array. Otherwise, you'll get one open
                                    <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                       title="class in org.apache.poi.extractor"><code>POITextExtractor</code></a> for
                                    each embedded file.
                                </div>
                            </li>
                        </ul>
                        <a name="getEmbeddedDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getEmbeddedDocsTextExtractors</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public static&nbsp;<a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                      title="class in org.apache.poi.extractor">POITextExtractor</a>[]&nbsp;getEmbeddedDocsTextExtractors(<a
                                            href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                            title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</pre>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                    If there are no embedded documents, you'll get back an
                                    empty array. Otherwise, you'll get one open
                                    <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                       title="class in org.apache.poi.extractor"><code>POITextExtractor</code></a> for
                                    each embedded file.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExtractorFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/CommandLineTextExtractor.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html"
               title="class in org.apache.poi.ooxml.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ooxml/extractor/ExtractorFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="ExtractorFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
